# NOTE: this is a Linux-specific package, don't use the embedded
# viewer on non-Linux platforms.
%define name	nspluginwrapper
%define version	0.9.90.1
%define release	%mkrel 2

# define 32-bit arch of multiarch platforms
%define arch_32 %{nil}
%ifarch x86_64
%define arch_32 i386
%endif
%ifarch ppc64
%define arch_32 ppc
%endif
%ifarch sparc64
%define arch_32 sparc
%endif

# define to build a biarch package
%define build_biarch		0
%{expand: %{?_with_biarch:	%%global build_biarch 1}}
%{expand: %{?_without_biarch:	%%global build_biarch 0}}

# define target architecture plugins we want to support
%define target_arch i386

# define nspluginswrapper libdir (invariant, including libdir)
%define pkglibdir %{_prefix}/lib/%{name}

# define mozilla plugin dir
%define plugindir %{_libdir}/mozilla/plugins

Summary:	A compatibility layer for Netscape 4 plugins
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		nspluginwrapper-0.9.90.1-use-anonymous-sockets.patch.bz2
License:	GPL
Group:		Networking/WWW
Url:		http://www.gibix.net/projects/nspluginwrapper/
BuildRequires:	gtk+2-devel
Provides:	%{name}-%{_arch} = %{version}
Requires:	%{name}-%{target_arch} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
nspluginwrapper makes it possible to use Netscape 4 compatible plugins
compiled for %{target_arch} into Mozilla for another architecture, e.g. x86_64.

This package consists in:
  * npviewer: the plugin viewer
  * npwrapper.so: the browser-side plugin
  * nspluginwrapper: a tool to manage plugins installation and update

%if %{build_biarch}
%package %{target_arch}
Summary:	A viewer for %{target_arch} compiled Netscape 4 plugins
Group:		Networking/WWW
BuildRequires:	linux32
BuildRequires:	devel(libgdk-x11-2.0)

%description %{target_arch}
nspluginwrapper makes it possible to use Netscape 4 compatible plugins
compiled for %{target_arch} into Mozilla for another architecture, e.g. x86_64.

This package consists in:
  * npviewer: the plugin viewer
  * npwrapper.so: the browser-side plugin
  * nspluginwrapper: a tool to manage plugins installation and update

This package provides the npviewer program for %{target_arch}.
%endif

%prep
%setup -q
%patch0 -p1 -b .use-anonymous-sockets

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

mkdir build-%{_arch}-linux
pushd build-%{_arch}-linux
../configure --prefix=%{_prefix}
# XXX configure option
echo "DONT_STRIP = yes" >> config-host.mak
%make
popd

%if %{build_biarch}
mkdir build-%{target_arch}-linux
pushd build-%{target_arch}-linux
linux32 ../configure --prefix=%{_prefix}
echo "DONT_STRIP = yes" >> config-host.mak
linux32 %make npviewer.bin
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

make -C build-%{_arch}-linux install DESTDIR=$RPM_BUILD_ROOT

%if %{build_biarch}
make -C build-%{target_arch}-linux install.viewer DESTDIR=$RPM_BUILD_ROOT
%endif

mkdir -p $RPM_BUILD_ROOT%{plugindir}
ln -s %{pkglibdir}/%{_arch}/npwrapper.so $RPM_BUILD_ROOT%{plugindir}/npwrapper.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
  ln -s %{pkglibdir}/%{_arch}/npconfig %{_bindir}/%{name}
  %{_bindir}/%{name} -v -a -i
else
  %{_bindir}/%{name} -v -a -u
fi

%preun
if [ $1 = 0 ]; then
  %{_bindir}/%{name} -v -a -r
  rm -f %{_bindir}/%{name}
fi

# Flash Player 7
%triggerin -- FlashPlayer
%{_bindir}/%{name} -v -i /usr/lib/mozilla/plugins/libflashplayer.so
%triggerun -- FlashPlayer
%{_bindir}/%{name} -v -r %{plugindir}/npwrapper.libflashplayer.so

# Acrobat Reader
%triggerin -- acroread5-nppdf, acroread-nppdf
%{_bindir}/%{name} -v -i /usr/lib/mozilla/plugins/nppdf.so
%triggerun -- acroread5-nppdf, acroread-nppdf
%{_bindir}/%{name} -v -r %{plugindir}/npwrapper.nppdf.so

# Real Player 10
%triggerin -- RealPlayer-rpnp >= 10
%{_bindir}/%{name} -v -i /usr/lib/mozilla/plugins/nphelix.so
%triggerun -- RealPlayer-rpnp >= 10
%{_bindir}/%{name} -v -r %{plugindir}/npwrapper.nphelix.so

%files
%defattr(-,root,root)
%doc README COPYING NEWS
%{plugindir}/npwrapper.so
%dir %{pkglibdir}
%{pkglibdir}/npviewer
%{pkglibdir}/mkruntime
%dir %{pkglibdir}/%{_arch}
%{pkglibdir}/%{_arch}/npconfig
%{pkglibdir}/%{_arch}/npviewer.bin
%{pkglibdir}/%{_arch}/npwrapper.so

%if %{build_biarch}
%files %{target_arch}
%defattr(-,root,root)
%dir %{pkglibdir}/%{target_arch}
%{pkglibdir}/%{target_arch}/npviewer.bin
%endif

%changelog
* Wed Jun  7 2006 Gwenole Beauchesne <gb.public@free.fr> 0.9.90.1-2mdk
- ship with mkruntime
- enable -debug packages
- add possibility to build biarch packages at once
- fix repackage.sh to stop generating deps on non x86 platforms

* Tue Jun  6 2006 Gwenole Beauchesne <gb.public@free.fr> 0.9.90.1-1mdk
- first Mandriva Linux release
- don't use QEMU on IA-64 platforms
